]> git.cworth.org Git - gzip/blob - Makefile.in
Imported Debian patch 1.3.9-1
[gzip] / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Make gzip (GNU zip).
18
19 # Copyright (C) 1999, 2001, 2002, 2006 Free Software Foundation, Inc.
20
21 # This program is free software; you can redistribute it and/or modify
22 # it under the terms of the GNU General Public License as published by
23 # the Free Software Foundation; either version 2 of the License, or
24 # (at your option) any later version.
25
26 # This program is distributed in the hope that it will be useful,
27 # but WITHOUT ANY WARRANTY; without even the implied warranty of
28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
29 # GNU General Public License for more details.
30
31 # You should have received a copy of the GNU General Public License along
32 # with this program; if not, write to the Free Software Foundation, Inc.,
33 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
34
35
36 VPATH = @srcdir@
37 pkgdatadir = $(datadir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkgincludedir = $(includedir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 bin_PROGRAMS = gzip$(EXEEXT)
53 subdir = .
54 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
55         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
56         ChangeLog INSTALL NEWS README-alpha THANKS TODO \
57         build-aux/compile build-aux/depcomp build-aux/install-sh \
58         build-aux/mdate-sh build-aux/missing build-aux/texinfo.tex
59 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
60 am__aclocal_m4_deps = $(top_srcdir)/m4/absolute-header.m4 \
61         $(top_srcdir)/m4/error.m4 $(top_srcdir)/m4/exitfail.m4 \
62         $(top_srcdir)/m4/extensions.m4 $(top_srcdir)/m4/fcntl-safer.m4 \
63         $(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/getopt.m4 \
64         $(top_srcdir)/m4/gnulib-comp.m4 $(top_srcdir)/m4/inline.m4 \
65         $(top_srcdir)/m4/shell.m4 $(top_srcdir)/m4/stat-time.m4 \
66         $(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/sys_stat_h.m4 \
67         $(top_srcdir)/m4/timespec.m4 $(top_srcdir)/m4/unistd-safer.m4 \
68         $(top_srcdir)/m4/unistd_h.m4 $(top_srcdir)/m4/utimbuf.m4 \
69         $(top_srcdir)/m4/utimens.m4 $(top_srcdir)/m4/utimes.m4 \
70         $(top_srcdir)/m4/xalloc.m4 $(top_srcdir)/m4/yesno.m4 \
71         $(top_srcdir)/configure.ac
72 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
73         $(ACLOCAL_M4)
74 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
75  configure.lineno config.status.lineno
76 mkinstalldirs = $(install_sh) -d
77 CONFIG_HEADER = $(top_builddir)/lib/config.h
78 CONFIG_CLEAN_FILES =
79 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
80         "$(DESTDIR)$(man1dir)"
81 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
82 PROGRAMS = $(bin_PROGRAMS)
83 am_gzip_OBJECTS = bits.$(OBJEXT) crypt.$(OBJEXT) deflate.$(OBJEXT) \
84         gzip.$(OBJEXT) inflate.$(OBJEXT) lzw.$(OBJEXT) trees.$(OBJEXT) \
85         unlzh.$(OBJEXT) unlzw.$(OBJEXT) unpack.$(OBJEXT) \
86         unzip.$(OBJEXT) util.$(OBJEXT) zip.$(OBJEXT)
87 gzip_OBJECTS = $(am_gzip_OBJECTS)
88 gzip_DEPENDENCIES = lib/libgzip.a
89 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
90 SCRIPTS = $(bin_SCRIPTS)
91 DEFAULT_INCLUDES = -I. -I$(top_builddir)/lib@am__isrc@
92 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
93 am__depfiles_maybe = depfiles
94 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
95         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
96 CCLD = $(CC)
97 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
98 SOURCES = $(gzip_SOURCES)
99 DIST_SOURCES = $(gzip_SOURCES)
100 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
101         html-recursive info-recursive install-data-recursive \
102         install-dvi-recursive install-exec-recursive \
103         install-html-recursive install-info-recursive \
104         install-pdf-recursive install-ps-recursive install-recursive \
105         installcheck-recursive installdirs-recursive pdf-recursive \
106         ps-recursive uninstall-recursive
107 man1dir = $(mandir)/man1
108 NROFF = nroff
109 MANS = $(man_MANS)
110 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
111   distclean-recursive maintainer-clean-recursive
112 ETAGS = etags
113 CTAGS = ctags
114 DIST_SUBDIRS = $(SUBDIRS)
115 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
116 distdir = $(PACKAGE)-$(VERSION)
117 top_distdir = $(distdir)
118 am__remove_distdir = \
119   { test ! -d $(distdir) \
120     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
121          && rm -fr $(distdir); }; }
122 DIST_ARCHIVES = $(distdir).tar.gz
123 GZIP_ENV = --best
124 distuninstallcheck_listfiles = find . -type f -print
125 distcleancheck_listfiles = find . -type f -print
126 ABSOLUTE_FCNTL_H = @ABSOLUTE_FCNTL_H@
127 ABSOLUTE_SYS_STAT_H = @ABSOLUTE_SYS_STAT_H@
128 ACLOCAL = @ACLOCAL@
129 AMTAR = @AMTAR@
130 ASCPPFLAGS = @ASCPPFLAGS@
131 ASCPPPOST = @ASCPPPOST@
132 ASFLAGS_config = @ASFLAGS_config@
133 AUTOCONF = @AUTOCONF@
134 AUTOHEADER = @AUTOHEADER@
135 AUTOMAKE = @AUTOMAKE@
136 AWK = @AWK@
137 CC = @CC@
138 CCDEPMODE = @CCDEPMODE@
139 CFLAGS = @CFLAGS@
140 CPP = @CPP@
141 CPPFLAGS = @CPPFLAGS@
142 CYGPATH_W = @CYGPATH_W@
143 DEFS = @DEFS@
144 DEPDIR = @DEPDIR@
145 ECHO_C = @ECHO_C@
146 ECHO_N = @ECHO_N@
147 ECHO_T = @ECHO_T@
148 EGREP = @EGREP@
149 EXEEXT = @EXEEXT@
150 FCNTL_H = @FCNTL_H@
151 GETOPT_H = @GETOPT_H@
152 GREP = @GREP@
153 HAVE__BOOL = @HAVE__BOOL@
154 INSTALL = @INSTALL@
155 INSTALL_DATA = @INSTALL_DATA@
156 INSTALL_PROGRAM = @INSTALL_PROGRAM@
157 INSTALL_SCRIPT = @INSTALL_SCRIPT@
158 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
159 LDFLAGS = @LDFLAGS@
160 LIBGZIP_LIBDEPS = @LIBGZIP_LIBDEPS@
161 LIBGZIP_LTLIBDEPS = @LIBGZIP_LTLIBDEPS@
162 LIBOBJS = @LIBOBJS@
163 LIBS = @LIBS@
164 LN_S = @LN_S@
165 LTLIBOBJS = @LTLIBOBJS@
166 MAKEINFO = @MAKEINFO@
167 MKDIR_P = @MKDIR_P@
168 NM = @NM@
169 OBJEXT = @OBJEXT@
170 PACKAGE = @PACKAGE@
171 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
172 PACKAGE_NAME = @PACKAGE_NAME@
173 PACKAGE_STRING = @PACKAGE_STRING@
174 PACKAGE_TARNAME = @PACKAGE_TARNAME@
175 PACKAGE_VERSION = @PACKAGE_VERSION@
176 PATH_SEPARATOR = @PATH_SEPARATOR@
177 RANLIB = @RANLIB@
178 SET_MAKE = @SET_MAKE@
179 SHELL = @SHELL@
180 STDBOOL_H = @STDBOOL_H@
181 STRIP = @STRIP@
182 SYS_STAT_H = @SYS_STAT_H@
183 UNISTD_H = @UNISTD_H@
184 VERSION = @VERSION@
185 abs_builddir = @abs_builddir@
186 abs_srcdir = @abs_srcdir@
187 abs_top_builddir = @abs_top_builddir@
188 abs_top_srcdir = @abs_top_srcdir@
189 ac_ct_CC = @ac_ct_CC@
190 ac_prefix_program = @ac_prefix_program@
191 am__include = @am__include@
192 am__leading_dot = @am__leading_dot@
193 am__quote = @am__quote@
194 am__tar = @am__tar@
195 am__untar = @am__untar@
196 bindir = @bindir@
197 build_alias = @build_alias@
198 builddir = @builddir@
199 datadir = @datadir@
200 datarootdir = @datarootdir@
201 docdir = @docdir@
202 dvidir = @dvidir@
203 exec_prefix = @exec_prefix@
204 gl_LIBOBJS = @gl_LIBOBJS@
205 gl_LTLIBOBJS = @gl_LTLIBOBJS@
206 host_alias = @host_alias@
207 htmldir = @htmldir@
208 includedir = @includedir@
209 infodir = @infodir@
210 install_sh = @install_sh@
211 libdir = @libdir@
212 libexecdir = @libexecdir@
213 localedir = @localedir@
214 localstatedir = @localstatedir@
215 mandir = @mandir@
216 mkdir_p = @mkdir_p@
217 oldincludedir = @oldincludedir@
218 pdfdir = @pdfdir@
219 prefix = @prefix@
220 program_transform_name = @program_transform_name@
221 psdir = @psdir@
222 sbindir = @sbindir@
223 sharedstatedir = @sharedstatedir@
224 srcdir = @srcdir@
225 sysconfdir = @sysconfdir@
226 target_alias = @target_alias@
227 top_builddir = @top_builddir@
228 top_srcdir = @top_srcdir@
229 SUBDIRS = lib doc
230 ACLOCAL_AMFLAGS = -I m4
231 AM_CPPFLAGS = -I$(top_srcdir)/lib
232 man_MANS = gunzip.1 gzexe.1 gzip.1 \
233   zcat.1 zcmp.1 zdiff.1 zforce.1 zgrep.1 zless.1 zmore.1 znew.1
234
235 EXTRA_DIST = $(ACINCLUDE_INPUTS) $(man_MANS) \
236   algorithm.doc amiga/match.a amiga/Makefile.gcc amiga/Makefile.sasc \
237   amiga/tailor.c amiga/utime.h atari/Makefile.st crypt.h \
238   gzexe.in gzip.doc gzip.h lzw.h msdos/match.asm msdos/tailor.c \
239   msdos/gzip.prj msdos/doturboc.bat msdos/Makefile.msc msdos/Makefile.bor \
240   msdos/Makefile.djg nt/Makefile.nt os2/gzip.def os2/Makefile.os2 \
241   os2/gzip16.def primos/include/errno.h primos/include/fcntl.h \
242   primos/include/stdlib.h primos/include/sysStat.h \
243   primos/include/sysTypes.h primos/build.cpl primos/readme \
244   primos/primos.c primos/ci.opts revision.h sample/makecrc.c \
245   sample/ztouch sample/add.c sample/sub.c sample/zread.c sample/zfile \
246   tailor.h vms/Makefile.mms vms/gzip.hlp vms/vms.c vms/Readme.vms \
247   vms/Makefile.vms vms/Makefile.gcc vms/makegzip.com zdiff.in \
248   zforce.in zgrep.in zless.in zmore.in znew.in
249
250 bin_SCRIPTS = gzexe zdiff zgrep zforce zless zmore znew
251 gzip_SOURCES = \
252   bits.c crypt.c deflate.c gzip.c inflate.c lzw.c \
253   trees.c unlzh.c unlzw.c unpack.c unzip.c util.c zip.c
254
255 gzip_LDADD = lib/libgzip.a
256 SUFFIXES = .in
257
258 # A simple test, just of gzip -- more of a sanity check than anything else.
259 FILES_TO_CHECK = $(bin_SCRIPTS) $(gzip_LDADD) \
260   $(top_srcdir)/ChangeLog $(top_srcdir)/configure $(top_srcdir)/gzip.c
261
262 MAINTAINERCLEANFILES = gzip.doc
263 MOSTLYCLEANFILES = _match.i match_.s _match.S \
264   gzexe zdiff zforce zgrep zless zmore znew
265
266 all: all-recursive
267
268 .SUFFIXES:
269 .SUFFIXES: .in .c .o .obj
270 am--refresh:
271         @:
272 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
273         @for dep in $?; do \
274           case '$(am__configure_deps)' in \
275             *$$dep*) \
276               echo ' cd $(srcdir) && $(AUTOMAKE) --gnits '; \
277               cd $(srcdir) && $(AUTOMAKE) --gnits  \
278                 && exit 0; \
279               exit 1;; \
280           esac; \
281         done; \
282         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  Makefile'; \
283         cd $(top_srcdir) && \
284           $(AUTOMAKE) --gnits  Makefile
285 .PRECIOUS: Makefile
286 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
287         @case '$?' in \
288           *config.status*) \
289             echo ' $(SHELL) ./config.status'; \
290             $(SHELL) ./config.status;; \
291           *) \
292             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
293             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
294         esac;
295
296 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
297         $(SHELL) ./config.status --recheck
298
299 $(top_srcdir)/configure:  $(am__configure_deps)
300         cd $(srcdir) && $(AUTOCONF)
301 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
302         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
303 install-binPROGRAMS: $(bin_PROGRAMS)
304         @$(NORMAL_INSTALL)
305         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
306         @list='$(bin_PROGRAMS)'; for p in $$list; do \
307           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
308           if test -f $$p \
309           ; then \
310             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
311            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
312            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
313           else :; fi; \
314         done
315
316 uninstall-binPROGRAMS:
317         @$(NORMAL_UNINSTALL)
318         @list='$(bin_PROGRAMS)'; for p in $$list; do \
319           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
320           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
321           rm -f "$(DESTDIR)$(bindir)/$$f"; \
322         done
323
324 clean-binPROGRAMS:
325         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
326
327 installcheck-binPROGRAMS: $(bin_PROGRAMS)
328         bad=0; pid=$$$$; list="$(bin_PROGRAMS)"; for p in $$list; do \
329           case ' $(AM_INSTALLCHECK_STD_OPTIONS_EXEMPT) ' in \
330            *" $$p "* | *" $(srcdir)/$$p "*) continue;; \
331           esac; \
332           f=`echo "$$p" | \
333              sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
334           for opt in --help --version; do \
335             if "$(DESTDIR)$(bindir)/$$f" $$opt >c$${pid}_.out \
336                  2>c$${pid}_.err </dev/null \
337                  && test -n "`cat c$${pid}_.out`" \
338                  && test -z "`cat c$${pid}_.err`"; then :; \
339             else echo "$$f does not support $$opt" 1>&2; bad=1; fi; \
340           done; \
341         done; rm -f c$${pid}_.???; exit $$bad
342 gzip$(EXEEXT): $(gzip_OBJECTS) $(gzip_DEPENDENCIES) 
343         @rm -f gzip$(EXEEXT)
344         $(LINK) $(gzip_OBJECTS) $(gzip_LDADD) $(LIBS)
345 install-binSCRIPTS: $(bin_SCRIPTS)
346         @$(NORMAL_INSTALL)
347         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
348         @list='$(bin_SCRIPTS)'; for p in $$list; do \
349           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
350           if test -f $$d$$p; then \
351             f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
352             echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
353             $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
354           else :; fi; \
355         done
356
357 uninstall-binSCRIPTS:
358         @$(NORMAL_UNINSTALL)
359         @list='$(bin_SCRIPTS)'; for p in $$list; do \
360           f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
361           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
362           rm -f "$(DESTDIR)$(bindir)/$$f"; \
363         done
364
365 installcheck-binSCRIPTS: $(bin_SCRIPTS)
366         bad=0; pid=$$$$; list="$(bin_SCRIPTS)"; for p in $$list; do \
367           case ' $(AM_INSTALLCHECK_STD_OPTIONS_EXEMPT) ' in \
368            *" $$p "* | *" $(srcdir)/$$p "*) continue;; \
369           esac; \
370           f=`echo "$$p" | sed 's,^.*/,,;$(transform)'`; \
371           for opt in --help --version; do \
372             if "$(DESTDIR)$(bindir)/$$f" $$opt >c$${pid}_.out \
373                  2>c$${pid}_.err </dev/null \
374                  && test -n "`cat c$${pid}_.out`" \
375                  && test -z "`cat c$${pid}_.err`"; then :; \
376             else echo "$$f does not support $$opt" 1>&2; bad=1; fi; \
377           done; \
378         done; rm -f c$${pid}_.???; exit $$bad
379
380 mostlyclean-compile:
381         -rm -f *.$(OBJEXT)
382
383 distclean-compile:
384         -rm -f *.tab.c
385
386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bits.Po@am__quote@
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypt.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/deflate.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gzip.Po@am__quote@
390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inflate.Po@am__quote@
391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lzw.Po@am__quote@
392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trees.Po@am__quote@
393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unlzh.Po@am__quote@
394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unlzw.Po@am__quote@
395 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unpack.Po@am__quote@
396 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unzip.Po@am__quote@
397 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
398 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zip.Po@am__quote@
399
400 .c.o:
401 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
402 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
404 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
405 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
406
407 .c.obj:
408 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
409 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
410 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
411 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
412 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
413 install-man1: $(man1_MANS) $(man_MANS)
414         @$(NORMAL_INSTALL)
415         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
416         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
417         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
418         for i in $$l2; do \
419           case "$$i" in \
420             *.1*) list="$$list $$i" ;; \
421           esac; \
422         done; \
423         for i in $$list; do \
424           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
425           else file=$$i; fi; \
426           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
427           case "$$ext" in \
428             1*) ;; \
429             *) ext='1' ;; \
430           esac; \
431           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
432           inst=`echo $$inst | sed -e 's/^.*\///'`; \
433           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
434           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
435           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
436         done
437 uninstall-man1:
438         @$(NORMAL_UNINSTALL)
439         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
440         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
441         for i in $$l2; do \
442           case "$$i" in \
443             *.1*) list="$$list $$i" ;; \
444           esac; \
445         done; \
446         for i in $$list; do \
447           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
448           case "$$ext" in \
449             1*) ;; \
450             *) ext='1' ;; \
451           esac; \
452           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
453           inst=`echo $$inst | sed -e 's/^.*\///'`; \
454           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
455           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
456           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
457         done
458
459 # This directory's subdirectories are mostly independent; you can cd
460 # into them and run `make' without going through this Makefile.
461 # To change the values of `make' variables: instead of editing Makefiles,
462 # (1) if the variable is set in `config.status', edit `config.status'
463 #     (which will cause the Makefiles to be regenerated when you run `make');
464 # (2) otherwise, pass the desired values on the `make' command line.
465 $(RECURSIVE_TARGETS):
466         @failcom='exit 1'; \
467         for f in x $$MAKEFLAGS; do \
468           case $$f in \
469             *=* | --[!k]*);; \
470             *k*) failcom='fail=yes';; \
471           esac; \
472         done; \
473         dot_seen=no; \
474         target=`echo $@ | sed s/-recursive//`; \
475         list='$(SUBDIRS)'; for subdir in $$list; do \
476           echo "Making $$target in $$subdir"; \
477           if test "$$subdir" = "."; then \
478             dot_seen=yes; \
479             local_target="$$target-am"; \
480           else \
481             local_target="$$target"; \
482           fi; \
483           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
484           || eval $$failcom; \
485         done; \
486         if test "$$dot_seen" = "no"; then \
487           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
488         fi; test -z "$$fail"
489
490 $(RECURSIVE_CLEAN_TARGETS):
491         @failcom='exit 1'; \
492         for f in x $$MAKEFLAGS; do \
493           case $$f in \
494             *=* | --[!k]*);; \
495             *k*) failcom='fail=yes';; \
496           esac; \
497         done; \
498         dot_seen=no; \
499         case "$@" in \
500           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
501           *) list='$(SUBDIRS)' ;; \
502         esac; \
503         rev=''; for subdir in $$list; do \
504           if test "$$subdir" = "."; then :; else \
505             rev="$$subdir $$rev"; \
506           fi; \
507         done; \
508         rev="$$rev ."; \
509         target=`echo $@ | sed s/-recursive//`; \
510         for subdir in $$rev; do \
511           echo "Making $$target in $$subdir"; \
512           if test "$$subdir" = "."; then \
513             local_target="$$target-am"; \
514           else \
515             local_target="$$target"; \
516           fi; \
517           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
518           || eval $$failcom; \
519         done && test -z "$$fail"
520 tags-recursive:
521         list='$(SUBDIRS)'; for subdir in $$list; do \
522           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
523         done
524 ctags-recursive:
525         list='$(SUBDIRS)'; for subdir in $$list; do \
526           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
527         done
528
529 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
530         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
531         unique=`for i in $$list; do \
532             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
533           done | \
534           $(AWK) '    { files[$$0] = 1; } \
535                END { for (i in files) print i; }'`; \
536         mkid -fID $$unique
537 tags: TAGS
538
539 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
540                 $(TAGS_FILES) $(LISP)
541         tags=; \
542         here=`pwd`; \
543         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
544           include_option=--etags-include; \
545           empty_fix=.; \
546         else \
547           include_option=--include; \
548           empty_fix=; \
549         fi; \
550         list='$(SUBDIRS)'; for subdir in $$list; do \
551           if test "$$subdir" = .; then :; else \
552             test ! -f $$subdir/TAGS || \
553               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
554           fi; \
555         done; \
556         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
557         unique=`for i in $$list; do \
558             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
559           done | \
560           $(AWK) '    { files[$$0] = 1; } \
561                END { for (i in files) print i; }'`; \
562         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
563           test -n "$$unique" || unique=$$empty_fix; \
564           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
565             $$tags $$unique; \
566         fi
567 ctags: CTAGS
568 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
569                 $(TAGS_FILES) $(LISP)
570         tags=; \
571         here=`pwd`; \
572         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
573         unique=`for i in $$list; do \
574             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
575           done | \
576           $(AWK) '    { files[$$0] = 1; } \
577                END { for (i in files) print i; }'`; \
578         test -z "$(CTAGS_ARGS)$$tags$$unique" \
579           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
580              $$tags $$unique
581
582 GTAGS:
583         here=`$(am__cd) $(top_builddir) && pwd` \
584           && cd $(top_srcdir) \
585           && gtags -i $(GTAGS_ARGS) $$here
586
587 distclean-tags:
588         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
589
590 distdir: $(DISTFILES)
591         @case `sed 15q $(srcdir)/NEWS` in \
592         *"$(VERSION)"*) : ;; \
593         *) \
594           echo "NEWS not updated; not releasing" 1>&2; \
595           exit 1;; \
596         esac
597         $(am__remove_distdir)
598         test -d $(distdir) || mkdir $(distdir)
599         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
600         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
601         list='$(DISTFILES)'; \
602           dist_files=`for file in $$list; do echo $$file; done | \
603           sed -e "s|^$$srcdirstrip/||;t" \
604               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
605         case $$dist_files in \
606           */*) $(MKDIR_P) `echo "$$dist_files" | \
607                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
608                            sort -u` ;; \
609         esac; \
610         for file in $$dist_files; do \
611           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
612           if test -d $$d/$$file; then \
613             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
614             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
615               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
616             fi; \
617             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
618           else \
619             test -f $(distdir)/$$file \
620             || cp -p $$d/$$file $(distdir)/$$file \
621             || exit 1; \
622           fi; \
623         done
624         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
625           if test "$$subdir" = .; then :; else \
626             test -d "$(distdir)/$$subdir" \
627             || $(MKDIR_P) "$(distdir)/$$subdir" \
628             || exit 1; \
629             distdir=`$(am__cd) $(distdir) && pwd`; \
630             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
631             (cd $$subdir && \
632               $(MAKE) $(AM_MAKEFLAGS) \
633                 top_distdir="$$top_distdir" \
634                 distdir="$$distdir/$$subdir" \
635                 am__remove_distdir=: \
636                 am__skip_length_check=: \
637                 distdir) \
638               || exit 1; \
639           fi; \
640         done
641         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
642           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
643           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
644           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
645         || chmod -R a+r $(distdir)
646 dist-gzip: distdir
647         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
648         $(am__remove_distdir)
649
650 dist-bzip2: distdir
651         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
652         $(am__remove_distdir)
653
654 dist-tarZ: distdir
655         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
656         $(am__remove_distdir)
657
658 dist-shar: distdir
659         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
660         $(am__remove_distdir)
661
662 dist-zip: distdir
663         -rm -f $(distdir).zip
664         zip -rq $(distdir).zip $(distdir)
665         $(am__remove_distdir)
666
667 dist dist-all: distdir
668         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
669         $(am__remove_distdir)
670
671 # This target untars the dist file and tries a VPATH configuration.  Then
672 # it guarantees that the distribution is self-contained by making another
673 # tarfile.
674 distcheck: dist
675         case '$(DIST_ARCHIVES)' in \
676         *.tar.gz*) \
677           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
678         *.tar.bz2*) \
679           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
680         *.tar.Z*) \
681           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
682         *.shar.gz*) \
683           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
684         *.zip*) \
685           unzip $(distdir).zip ;;\
686         esac
687         chmod -R a-w $(distdir); chmod a+w $(distdir)
688         mkdir $(distdir)/_build
689         mkdir $(distdir)/_inst
690         chmod a-w $(distdir)
691         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
692           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
693           && cd $(distdir)/_build \
694           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
695             $(DISTCHECK_CONFIGURE_FLAGS) \
696           && $(MAKE) $(AM_MAKEFLAGS) \
697           && $(MAKE) $(AM_MAKEFLAGS) dvi \
698           && $(MAKE) $(AM_MAKEFLAGS) check \
699           && $(MAKE) $(AM_MAKEFLAGS) install \
700           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
701           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
702           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
703                 distuninstallcheck \
704           && chmod -R a-w "$$dc_install_base" \
705           && ({ \
706                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
707                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
708                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
709                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
710                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
711               } || { rm -rf "$$dc_destdir"; exit 1; }) \
712           && rm -rf "$$dc_destdir" \
713           && $(MAKE) $(AM_MAKEFLAGS) dist \
714           && rm -rf $(DIST_ARCHIVES) \
715           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
716         $(am__remove_distdir)
717         @(echo "$(distdir) archives ready for distribution: "; \
718           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
719           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
720 distuninstallcheck:
721         @cd $(distuninstallcheck_dir) \
722         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
723            || { echo "ERROR: files left after uninstall:" ; \
724                 if test -n "$(DESTDIR)"; then \
725                   echo "  (check DESTDIR support)"; \
726                 fi ; \
727                 $(distuninstallcheck_listfiles) ; \
728                 exit 1; } >&2
729 distcleancheck: distclean
730         @if test '$(srcdir)' = . ; then \
731           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
732           exit 1 ; \
733         fi
734         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
735           || { echo "ERROR: files left in build directory after distclean:" ; \
736                $(distcleancheck_listfiles) ; \
737                exit 1; } >&2
738 check-am: all-am
739         $(MAKE) $(AM_MAKEFLAGS) check-local
740 check: check-recursive
741 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
742 installdirs: installdirs-recursive
743 installdirs-am:
744         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
745           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
746         done
747 install: install-recursive
748 install-exec: install-exec-recursive
749 install-data: install-data-recursive
750 uninstall: uninstall-recursive
751
752 install-am: all-am
753         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
754
755 installcheck: installcheck-recursive
756 install-strip:
757         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
758           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
759           `test -z '$(STRIP)' || \
760             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
761 mostlyclean-generic:
762         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
763
764 clean-generic:
765
766 distclean-generic:
767         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
768
769 maintainer-clean-generic:
770         @echo "This command is intended for maintainers to use"
771         @echo "it deletes files that may require special tools to rebuild."
772         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
773 clean: clean-recursive
774
775 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
776
777 distclean: distclean-recursive
778         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
779         -rm -rf ./$(DEPDIR)
780         -rm -f Makefile
781 distclean-am: clean-am distclean-compile distclean-generic \
782         distclean-tags
783
784 dvi: dvi-recursive
785
786 dvi-am:
787
788 html: html-recursive
789
790 info: info-recursive
791
792 info-am:
793
794 install-data-am: install-man
795
796 install-dvi: install-dvi-recursive
797
798 install-exec-am: install-binPROGRAMS install-binSCRIPTS
799         @$(NORMAL_INSTALL)
800         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
801
802 install-html: install-html-recursive
803
804 install-info: install-info-recursive
805
806 install-man: install-man1
807
808 install-pdf: install-pdf-recursive
809
810 install-ps: install-ps-recursive
811
812 installcheck-am: installcheck-binPROGRAMS installcheck-binSCRIPTS
813
814 maintainer-clean: maintainer-clean-recursive
815         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
816         -rm -rf $(top_srcdir)/autom4te.cache
817         -rm -rf ./$(DEPDIR)
818         -rm -f Makefile
819 maintainer-clean-am: distclean-am maintainer-clean-generic
820
821 mostlyclean: mostlyclean-recursive
822
823 mostlyclean-am: mostlyclean-compile mostlyclean-generic
824
825 pdf: pdf-recursive
826
827 pdf-am:
828
829 ps: ps-recursive
830
831 ps-am:
832
833 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
834         uninstall-local uninstall-man
835
836 uninstall-man: uninstall-man1
837
838 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
839         install-exec-am install-strip
840
841 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
842         all all-am am--refresh check check-am check-local clean \
843         clean-binPROGRAMS clean-generic ctags ctags-recursive dist \
844         dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
845         distcheck distclean distclean-compile distclean-generic \
846         distclean-tags distcleancheck distdir distuninstallcheck dvi \
847         dvi-am html html-am info info-am install install-am \
848         install-binPROGRAMS install-binSCRIPTS install-data \
849         install-data-am install-dvi install-dvi-am install-exec \
850         install-exec-am install-exec-hook install-html install-html-am \
851         install-info install-info-am install-man install-man1 \
852         install-pdf install-pdf-am install-ps install-ps-am \
853         install-strip installcheck installcheck-am \
854         installcheck-binPROGRAMS installcheck-binSCRIPTS installdirs \
855         installdirs-am maintainer-clean maintainer-clean-generic \
856         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
857         ps ps-am tags tags-recursive uninstall uninstall-am \
858         uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-local \
859         uninstall-man uninstall-man1
860
861
862 gzip.doc: gzip.1
863         groff -man -Tascii $(srcdir)/gzip.1 | col -b | uniq >$@
864 .in:
865         sed \
866                 -e 's|/bin/sh|$(SHELL)|g' \
867                 -e 's|BINDIR|$(bindir)|g' \
868                 -e 's|[@]VERSION@|$(VERSION)|g' \
869                 $(srcdir)/$@.in >$@
870         chmod a+x $@
871 check-local: $(FILES_TO_CHECK)
872         for file in $(FILES_TO_CHECK); do \
873           ./gzip -cv -- "$$file" | ./gzip -d | cmp - "$$file" || exit; \
874         done
875         @echo 'Test succeeded.'
876
877 install-exec-hook: remove-installed-links
878 install-exec-hook remove-installed-links:
879         @for prog_ext in $(bin_PROGRAMS) $(bin_SCRIPTS); do \
880           prog=`echo "$$prog_ext"|sed 's/$(EXEEXT)$$//'`; \
881           case $$prog in \
882           gzip) aliases='gunzip zcat';; \
883           zdiff) aliases='zcmp';; \
884           zgrep) aliases='zegrep zfgrep';; \
885           *) continue;; \
886           esac; \
887           transform='$(transform)'; \
888           test "X$$prog" = "X$$prog_ext" || \
889             transform="$$transform"';s/$$/$(EXEEXT)/'; \
890           destbindir=$(DESTDIR)$(bindir); \
891           source=`echo "$$prog"|sed "$$transform"`; \
892           for alias in $$aliases; do \
893             dest=`echo "$$alias"|sed "$$transform"`; \
894             (set -x; \
895              cd "$$destbindir" && \
896              rm -f "$$dest" && \
897              case $@ in \
898              install-exec-hook) \
899                ln "$$source" "$$dest" || $(LN_S) "$$source" "$$dest";; \
900              esac \
901             ) || exit; \
902           done; \
903         done
904
905 uninstall-local: remove-installed-links
906 # Tell versions [3.59,3.63) of GNU make to not export all variables.
907 # Otherwise a system limit (for SysV at least) may be exceeded.
908 .NOEXPORT: